%define oname	mapper

#define pre	RC2
%define rel	2

%define clipver	5.1.6
%define md5     %(md5sum %{SOURCE1} | cut -d" " -f1)

Name:		openorienteering-%{oname}
Summary:	An orienteering map making program
Version:	0.5.3
Release:	%mkrel %{?pre:0.%pre.}%{rel}
License:	GPLv3
Group:		Sciences/Geosciences
Url:		http://oorienteering.sourceforge.net/
Source0:	http://download.sourceforge.net/oorienteering/%{name}_%{version}%{?pre:-%pre}-src.tgz
Source1:	http://download.sourceforge.net/polyclipping/clipper_ver%{clipver}.zip
# P1 is needed to apply P2 without rediffing it
Patch1:		0001-Clipper-5.1.5-support.patch
Patch2:		0002-Clipper-5.1.6-support.patch
BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(proj) >= 4.8.0
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	qttools5-assistant
BuildRequires:	qttools5
Provides:	%{oname} = %{version}-%{release}

%description
OpenOrienteering Mapper is an orienteering map making program.

%prep
%setup -qn %{name}_%{version}-src

# to get P2 to apply cleanly
dos2unix 3rd-party/clipper/License.txt

%apply_patches

#don't download
sed -i -e 's|URL ".*|URL "%{SOURCE1}"|' 3rd-party/clipper/CMakeLists.txt
sed -i -e 's|URL_MD5.*|URL_MD5 %{md5}|' 3rd-party/clipper/CMakeLists.txt

#fix line terminators again so build won't fail when checking differencies between licenses
unix2dos 3rd-party/clipper/License.txt.5.1.5 3rd-party/clipper/License.txt

%build
%cmake \
	-DCMAKE_BUILD_TYPE=Release \
	-DMapper_BUILD_PROJ:BOOL=OFF \
	-DMapper_BUILD_QT:BOOL=OFF \
	-DMapper_USE_QT5:BOOL=ON \
	-DCLIPPER_VERSION=%{clipver}
%make

%install
%makeinstall_std -C build

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%{_bindir}/Mapper
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.5.3-2.mga4
+ Revision: 538823
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 wally <wally> 0.5.3-1.mga4
+ Revision: 490446
- new version 0.5.3

* Sun Aug 04 2013 wally <wally> 0.5.2-1.mga4
+ Revision: 463585
- new version 0.5.2
- build with clipper 5.1.6

* Sun Jul 21 2013 wally <wally> 0.5.2-0.RC2.1.mga4
+ Revision: 456854
- new version 0.5.2 RC2
- build with clipper 5.1.5 (add patch from upstream)
- switch to Qt5

* Sat Jul 20 2013 wally <wally> 0.5.1-1.mga4
+ Revision: 456587
- imported package openorienteering-mapper

